package com.zyc.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zyc.system.mapper.SecurityGroupServicesMapper;
import com.zyc.system.domain.SecurityGroupServices;
import com.zyc.system.service.ISecurityGroupServicesService;

/**
 * 安全组服务Service业务层处理
 * 
 * @author zyc
 * @date 2024-12-26
 */
@Service
public class SecurityGroupServicesServiceImpl implements ISecurityGroupServicesService 
{
    @Autowired
    private SecurityGroupServicesMapper securityGroupServicesMapper;

    /**
     * 查询安全组服务
     * 
     * @param id 安全组服务主键
     * @return 安全组服务
     */
    @Override
    public SecurityGroupServices selectSecurityGroupServicesById(Integer id)
    {
        return securityGroupServicesMapper.selectSecurityGroupServicesById(id);
    }

    /**
     * 查询安全组服务列表
     * 
     * @param securityGroupServices 安全组服务
     * @return 安全组服务
     */
    @Override
    public List<SecurityGroupServices> selectSecurityGroupServicesList(SecurityGroupServices securityGroupServices)
    {
        return securityGroupServicesMapper.selectSecurityGroupServicesList(securityGroupServices);
    }

    /**
     * 新增安全组服务
     * 
     * @param securityGroupServices 安全组服务
     * @return 结果
     */
    @Override
    public int insertSecurityGroupServices(SecurityGroupServices securityGroupServices)
    {
        return securityGroupServicesMapper.insertSecurityGroupServices(securityGroupServices);
    }

    /**
     * 修改安全组服务
     * 
     * @param securityGroupServices 安全组服务
     * @return 结果
     */
    @Override
    public int updateSecurityGroupServices(SecurityGroupServices securityGroupServices)
    {
        return securityGroupServicesMapper.updateSecurityGroupServices(securityGroupServices);
    }

    /**
     * 批量删除安全组服务
     * 
     * @param ids 需要删除的安全组服务主键
     * @return 结果
     */
    @Override
    public int deleteSecurityGroupServicesByIds(Integer[] ids)
    {
        return securityGroupServicesMapper.deleteSecurityGroupServicesByIds(ids);
    }

    /**
     * 删除安全组服务信息
     * 
     * @param id 安全组服务主键
     * @return 结果
     */
    @Override
    public int deleteSecurityGroupServicesById(Integer id)
    {
        return securityGroupServicesMapper.deleteSecurityGroupServicesById(id);
    }
}
